org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotMXBeanImpl

All Implemented Interfaces:
  SnapshotMXBean

    public class SnapshotMXBeanImpl
    extends Object
    implements SnapshotMXBean

Snapshot MBean features.

### Constructor Summary

Constructors
Constructor and Description
`SnapshotMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelSnapshot(String snpName)` Cancel previously started snapshot operation on the node initiator.
`void` `cancelSnapshotRestore(String name)` Cancel previously started snapshot restore operation.
`void` `createSnapshot(String snpName)` Create the cluster-wide snapshot with given name asynchronously.
`void` `restoreSnapshot(String name, String grpNames)` Restore cluster-wide snapshot.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotMXBeanImpl

    public SnapshotMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### createSnapshot

    public void createSnapshot(String snpName)

Create the cluster-wide snapshot with given name asynchronously.

Specified by:
  `createSnapshot` in interface `SnapshotMXBean`
Parameters:
  `snpName` - Snapshot name to be created.
See Also:
  `(String)`

#### cancelSnapshot

    public void cancelSnapshot(String snpName)

Cancel previously started snapshot operation on the node initiator.

Specified by:
  `cancelSnapshot` in interface `SnapshotMXBean`
Parameters:
  `snpName` - Snapshot name to cancel.

#### restoreSnapshot

    public void restoreSnapshot(String name,
                                String grpNames)

Restore cluster-wide snapshot.

Specified by:
  `restoreSnapshot` in interface `SnapshotMXBean`
Parameters:
  `name` - Snapshot name.
  `grpNames` - Optional comma-separated list of cache group names.
See Also:
  `IgniteSnapshot.restoreSnapshot(String, Collection)`

#### cancelSnapshotRestore

    public void cancelSnapshotRestore(String name)

Cancel previously started snapshot restore operation.

Specified by:
  `cancelSnapshotRestore` in interface `SnapshotMXBean`
Parameters:
  `name` - Snapshot name.
See Also:
  `IgniteSnapshot.cancelSnapshotRestore(String)`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022